function drawCircle(xi, yi, ri, L, R)
% function drawCircle(xi, yi, ri, L, R)


a_L = L(ri+1) - L(1);
a_R = R(ri+1) - R(1);

% Eq. of an ellipse x^2/ a_R^2 + y^2/a_L^2 = 1;
xrng = linspace(-a_R, a_R, 100);

y = a_L * sqrt(1-xrng.^2/a_R^2);

hold on;
plot(xrng+R(yi), y+L(xi));
plot(xrng+R(yi), -y+L(xi));

hold off;
